body {
    background-color: #62c2e4;
    background-image: url('background.jpg');
    background-position: center; /* Center the image */
    background-repeat: no-repeat; /* Do not repeat the image */
    background-size: cover;
    background-attachment: fixed; /* Keep background fixed when scrolling */
}

.spinner-border {
    color: black;
}

#svgTitle {
    transform-origin: top left;
    overflow: visible;
}

#rect1, #text1 {
    transition: transform 0.2s ease;
    transform-origin: center;
}

#text2 {
    transition: transform 0.2s ease;
}

#header-box {
    background-color: #0d6efd;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    width: 100%;
    border-radius: 0.375rem;
    border: 1px solid #0d6efd;
    padding: 0.5rem;
}

#recipe-screen {
    padding-top: 120px;
    overflow: visible;
}

nav.navbar.sticky-top {
    position: fixed !important;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 1020;
    margin-bottom: 0;
    padding: 0.5rem 0;
    background-color: black !important;
    color: white;
}

nav.navbar.sticky-top .navbar-brand {
    color: white;
}

.navbar-btn {
    background-color: grey !important;
}

div.bg-body-tertiary.sticky-top {
    position: fixed !important;
    top: 50px;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 1019;
    background-color: #d3d3d3 !important;
    border-color: #a9a9a9 !important;
}

.btn-group-sm .btn {
    padding: 0.375rem 0.75rem;
    font-size: 0.875rem;
    color: white;
    background-color: grey;
    border-color: grey;
}

.btn-check:checked + .btn {
    background-color: grey;
    border-color: grey;
    color: white;
}

#searchInput {
    width: 300px !important;
}

.accordion-button {
    flex-wrap: wrap;
}

.badge-tag {
    font-size: 0.65rem;
    padding: 0.25rem 0.5rem;
    height: fit-content;
}

.accordion-tags {
    flex-basis: 100%;
    margin-top: 0px;
    margin-bottom: -12px;
}